org.eclipse.emf.facet.widgets.table.ui.command

## Interface ITableCommandFactory

    public interface ITableCommandFactory

Since:
  0.3
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Command` `createAddRowsCommand(java.util.Collection<? extends EObject> eObjects)`
`Command` `createRemoveRowByEObjectCommand(java.util.Collection<? extends EObject> eObjects)`
`Command` `createSetFacetSetsCommand(java.util.List<? extends FacetSet> facetSets)`

### Method Detail

#### createRemoveRowByEObjectCommand

    Command createRemoveRowByEObjectCommand(java.util.Collection<? extends EObject> eObjects)

#### createAddRowsCommand

    Command createAddRowsCommand(java.util.Collection<? extends EObject> eObjects)

#### createSetFacetSetsCommand

    Command createSetFacetSetsCommand(java.util.List<? extends FacetSet> facetSets)